:root {
    --fk_color_1: #000000;
    --fk_color_2: #F8F8F8;
    --fk_color_3: #B1B1B1;
    --fk_green: #4BAE4F;
    --fk_switch_font_size: 18px;
    --main_menu_item_font_size: 26px;
    --btn_font_size: 19px;
    --big_title_font_size: 26px;
    --input_font_size: 25px;
    --choose_data_max_width: 800px;
    ----pseudo-file-button-content: 'Nahrát soubor';
}

.aktualni_barva_strechy_color{
    border:1px solid gray;
}


html {
    scroll-behavior: smooth;
    scrollbar-color: var(--fk_color_1) var(--fk_color_2);
    scrollbar-width: thin;

}
.quantity-input input{
    min-width:40px!important;
}
body {
    background-color: #fff;
}

.slick-list {
    overflow: visible !important;
}

::-webkit-scrollbar {
    width: 10px;
    height: 10px;
}

::-webkit-scrollbar-track {
    background: var(--fk_color_2);
}

::-webkit-scrollbar-thumb {
    background: var(--fk_color_1);
}

::-webkit-scrollbar-thumb:hover {
    background: #942952;
}

* {
    margin: 0;
    box-sizing: border-box;
    padding: 0;
    font-family: sofia-pro, sans-serif;
    /* font-weight: 400; */
}

.fk_main {
    position: relative;
}

.fk_start_page {
    /* background-color: #fff; */
    width: 100%;
    height: 100%;
    /* padding: 0px 50px 0px 338px; */
    padding: 0px 338px 0px 0px ;
    overflow-y: auto;
}

.fk_start_page_title {
    text-align: left;
    text-transform: uppercase;
    font-size: var(--big_title_font_size);
    /* margin-bottom: 40px; */
}

.fk_start_params_title {
    text-transform: uppercase;
    font-size: var(--big_title_font_size);
    margin-bottom: 25px;
}

.rozmery_input_wrap {
    width: 100%;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    margin: -10px;
}

.rozmery_input_wrap input {
    border-radius: 50px;
    border: 1px solid #000;
    font-size: 20px;
    width: 100%;
    max-width: 240px;
    padding: 6px;
    text-align: center;
    margin: 10px 25px 10px 10px;
}

.rozmery_input_wrap input::-webkit-outer-spin-button,
.rozmery_input_wrap input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.rozmery_input_wrap input {
    -moz-appearance: textfield;
}

.typ_kontrukce_input_wrap {
    display: flex;
    flex-wrap: nowrap;
}

.typ_kontrukce_container {
    display: flex;
    align-items: center;
    flex-wrap: nowrap;
    font-size: 20px;
    margin-right: 25px;
    cursor: pointer;
}

.typ_kontrukce_container .checkmark {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 42px;
    min-width: 42px;
    height: 42px;
    border-radius: 50%;
    margin-right: 10px;
    background-color: var(--fk_color_3);
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
}

.typ_kontrukce_container.checked .checkmark {
    background-color: var(--fk_green);
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
}

.typ_kontrukce_container .checkmark svg {
    display: block;
    width: 21px;
    height: 15px;
}

.fk_start_params_popis {
    font-size: 19px;
}

.questionmark {
    position: relative;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    width: 35px;
    height: 35px;
    margin-left: 10px;
    cursor: pointer;
    border-radius: 50%;
    background-color: var(--fk_color_1);
    color: #fff;
    font-size: 25px;
    line-height: .9;
}

.go_to_konfigurator_wrap {
    text-align: right;
}

.fk_main_left_side_wrap {
    position: absolute;
    height: 100%;
    z-index: 1;
    right: 0px;
}

.main_left_side_title, .main_left_side_title * {
    text-transform: uppercase;
    font-size: 26px;
    font-weight: 600;
    margin-bottom: 20px;
}

.typ_pergoly_container {
    cursor: pointer;
}

.typ_pergoly_container, .typ_kontrukce_container, .cb_switch_container, .cb_barva_container {
    position: relative;
}

.typ_pergoly_container input, .typ_kontrukce_container input, .cb_switch_container input, .cb_barva_container input {
    width: 1px;
    height: 1px;
    opacity: 0;
    left: 0;
    position: absolute;
}

.typ_pergoly_container .checkmark {
    width: 62px;
    min-width: 62px;
    height: 62px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #B1B1B1;
    border-radius: 50%;
    position: absolute;
    top: 20px;
    left: 25px;
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
}

.typ_pergoly_container:hover .checkmark {
    background-color: var(--fk_color_1);
}

.typ_pergoly_container .checkmark svg {
    display: block;
    width: 31px;
    height: 22px;
}

.typ_pergoly_container.checked .checkmark {
    background-color: var(--fk_green);
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
}

.typ_pergoly_img_wrap {
    width: 100%;
    position: relative;
    margin-bottom: 25px;
}

.typ_pergoly_img_wrap img {
    display: block;
    width: 100%;
    height: auto;
}

.typ_pergoly_popis {
    font-size: 20px;
    color: #707070;
}

.typ_pergoly_title {
    text-transform: uppercase;
    position: absolute;
    bottom: 25px;
    left: 25px;
    font-size: 47px;
    font-weight: 600;
    color: #fff;
}

.fk_main_left_side_top_wrap {
    background-color: #fff;
    padding: 25px 12px 15px 55px;
    max-width: var(--choose_data_max_width);
}

.main_typ_pergoly_change_wrap {
    font-size: 19px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}

.main_typ_pergoly_change_wrap .btn {
    margin: 10px;
}

.fk_pergola_img_wrap {
    width: 100%;
    height: 100%;
    position: relative;
    max-height: 95vh;
}

.fk_pergola_bg_img {
    display: block;
    object-fit: cover;
    width: 100%;
    height: 100%;
}

.main_logo_wrap img {
    display: inline-block;
    max-width: 100%;
    height: auto;
}

.main_menu_title {
    font-size: 18px;
    color: var(--fk_color_3);
    display: block;
   margin-bottom: 0px;
    /* padding-bottom: 15px; */
}

.fk_main_menu_wrap {
    background-color: var(--fk_color_2);
    padding: 20px 14px 2px 35px;
    max-width: 350px;
    height: calc(100vh -  78px);
    /* overflow-y: auto; */
    overflow: hidden;
    justify-content: space-between;
}

.fk_main_menu_wrap>* {
    /* opacity: 0; */
    /* pointer-events: none; */
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
}

.fk_main_menu_wrap.show>* {
    opacity: 1;
    pointer-events: visible;
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
}



.fk_main_left_side_container {
    position: relative;
    display: inline-block;
    height: 100%;
}

/* .fk_main_left_side_container:after {
    content: '';
    position: absolute;
    top: 0;
    left: 100%;
    height: 100%;
    width: 70px;
    display: block;
    background-color: var(--fk_color_2);
    clip-path: polygon(0 0, 100% 100%, 0 100%);
    -webkit-clip-path: polygon(0 0, 100% 100%, 0 100%);
} */

.fk_main_menu {
    list-style: none;

}

.fk_main_menu_wrap.desktop .fk_main_menu_item_title {
    margin-top: 45px;
}

.fk_main_menu a {
    text-decoration: none;
    color: #000;
    font-size: var(--main_menu_item_font_size);
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
}

.fk_main_menu_item.current a {
    color: var(--fk_color_1);
    font-weight: bold;
}

.fk_main_menu_item {
    display: flex;
    align-items: center;


}

.fk_main_menu_item.disabled a {
    cursor: default;
    color: var(--fk_color_3);
}

.fk_main_menu_item:not(.disabled) a:hover {
    color: var(--fk_color_1);
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
}

.fk_choose_data_wrap {
    background-color: #fff;
    position: absolute;
    bottom: 77px;
    left: 0px;
    width: 100vw;
    /* max-width: var(--choose_data_max_width); */
    /* overflow: hidden; */
    z-index: 1;
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
}

.choose_data_title {
    font-size: var(--big_title_font_size);
    display: block;
    margin-bottom: 20px;
    position: relative;
    align-self: center;
}

.choose_data_title:after {
    /* content: '';
    position: absolute;
    bottom: -2px;
    left: 0;
    height: 2px;
    width: 100%;
    max-width: 380px;
    background-color: var(--fk_color_1); */

}

.fk_choose_data_container {
    padding: 10px 39px;
}

.fk_choose_data_container_flex_wrap {
    display: flex;
    flex-wrap: wrap;
}

.fk_choose_data_container_1 {
    width: 300px;
}

.fk_choose_data_container_1 .cb_switch_container {
    margin-bottom: 10px;
}

.fk_choose_data_container_1 .cb_switch_container:last-of-type {
    margin-bottom: 0;
}

.fk_choose_data_container_2 {
    width: calc(100% - 300px);
}

.fk_choose_data_container_popis {
    font-size: 20px;
    color: #707070;
}

@media only screen and (min-width: 1024px) {
    body {
        overflow: hidden;
    }

    .fk_main {
        height: 100vh;
    }

    .fk_choose_data_container{
        display: flex;
    }
}

.cb_switch_container {
    position: relative;
    display: flex;
    align-items: flex-start;
    flex-wrap: nowrap;
    font-size: var(--fk_switch_font_size);
    line-height: 1.5;
}

.cb_switch {
    position: relative;
    width: 60px;
    min-width: 60px;
    height: 30px;
    border-radius: 28px;
    background-color: #fff;
    border: 2px solid #000;
    display: inline-block;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
    margin-right: 10px;

}

.cb_switch_container.checked .cb_switch {
    background-color: var(--fk_green);
    border: 2px solid var(--fk_green);
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
}

.cb_switch:before {
    content: '';
    background-color: #fff;
    border: 2px solid #000;
    border-style: inset;
    border-radius: 50%;
    height: 20px;
    width: 20px;
    display: block;
    position: absolute;
    top: 50%;
    left: 2px;
    transform: translateY(-50%);
    -webkit-transform: translateY(-50%);
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
}

.cb_switch_container.checked .cb_switch:before {
    border: 2px solid #fff;
    left: calc(100% - 2px);
    transform: translate(-100%, -50%);
    -webkit-transform: translate(-100%, -50%);
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
}

.fk_choose_data_barva_wrap {
    padding-top: 10px;
    padding-bottom: 10px;
    padding-right: 10px;
    padding-left: 10px;
    /* overflow: hidden; */
}

.chosen_barva_tooltip {
    padding: 5px 25px;
    text-align: center;
    color: #fff;
    font-size: 18px;
    background-color: #45302B;
    border-radius: 5px;
    display: none;
    position: absolute;
    top: -105px;
    left: 0;
    white-space: nowrap;
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
}



.fk_choose_data_barva_wrap .swiper-slide, .fk_main_menu_swiper .swiper-slide {
    width: auto !important;
}

.fk_main_menu_swiper .fk_main_menu_item {
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
}

.fk_main_menu_swiper .fk_main_menu_item .checkmark {
    background-color: var(--fk_color_3);
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 12px;
    height: 12px;
    margin-right: 6px;
    border-radius: 50%;
}

.fk_main_menu_swiper .fk_main_menu_item .checkmark svg {
    width: 6px;
    height: 4px;
}

 .fk_main_menu_swiper .fk_main_menu_item.done .checkmark {
    background-color: var(--fk_green);
}

.cb_barva_container {
    position: relative;
    display: inline-block;
    max-height: 43px;
}

.cb_barva_container_pallete {
    display: inline-block;
    width: 43px;
    height: 43px;
    border-radius: 43px;
    position: relative;
    cursor: pointer;
    /* margin-right: 8px;*/
    border: 1px solid #707070;
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
}

.cb_barva_container.checked .cb_barva_container_pallete {
    border-color: var(--fk_color_1) !important;

}

.cb_barva_container_pallete.individualni {
    color: #000;
    font-size: 14px;
    width: auto;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 0 20px;
}

.cb_barva_container .checkmark {
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    border-radius: 50%;
    width: 22px;
    min-width: 22px;
    height: 22px;
    background-color: var(--fk_green);
    position: absolute;
    top: -8px;
    right: -8px;
    z-index: 2;
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
}

.cb_barva_container .checkmark svg {
    display: block;
    width: 11px;
    height: 8px;
}

.cb_barva_container.checked .checkmark {
    opacity: 1;
}

.send_form_wrap {
    background-color: #fff;
    padding: 74px 50px 50px 50px;
    position: absolute;
    top: 0;
    right: 0;
    transform: translateX(100%);
    -webkit-transform: translateX(100%);
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
    opacity: 0;
    max-width: calc(100% - var(--choose_data_max_width));
    height: 100%;
    width: 100%;
    z-index: 99;
    overflow-y: auto;
    margin: 0 auto;
}

.fk_main.load .send_form_wrap:before {
    content: '';
    z-index: 99;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #ffffff88;
}

.back_btn {
    position: absolute;
    top: 40px;
    left: 50px;
    cursor: pointer;
}

.back_btn svg {
    display: block;
    width: 30px;
    height: 30px;
    object-fit: contain;
}

.back_btn svg path {
    fill: var(--fk_color_1);
}

.contact_form_title {
    font-size: var(--big_title_font_size);
    margin-bottom: 40px;
    position: relative;
    display: inline-block;
}

.contact_form_title:after {
    content: '';
    position: absolute;
    bottom: -2px;
    left: 0;
    height: 2px;
    width: 100%;
    background-color: var(--fk_color_1);
}

.input_wrap {
    width: 100%;
    display: block;
    margin-bottom: 10px;
}

.input_hidden_wrap {
    display: none;
}

.input_wrap input:not([type="file"]), .input_wrap textarea {
    font-size: var(--input_font_size);
    padding: 9px 30px;
    width: 100%;
    display: block;
    border-radius: 20px;
    border: 1px solid #0000004C;
}

.input_wrap input:focus, .input_wrap textarea:focus {
    outline-color: var(--fk_color_1);
}

.input_wrap textarea {
    height: 170px;
    resize: none;
}

.input_wrap.email {
    margin-bottom: 50px;
}

.input_wrap.select_marketing {
    margin-bottom: 50px;
}

.input_wrap.comment {
    margin-bottom: 30px;
}

.input_wrap.file {
    margin-bottom: 30px;
}

.input_wrap_checkboxes {
    margin-bottom: 50px;
}

.input_wrap.submit {
    margin-bottom: 0;
    text-align: right;
}

.custom_select_wrap {
    position: relative;
}

.submit_overlay {
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    background-color: #fff;
    overflow-y: auto;
    z-index: 100;
    width: 100%;
    height: 100vh;
    opacity: 0;
    padding: 74px 50px 50px 50px;
    pointer-events: none;
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
}

.submit_overlay>div {
    display: flex;
    align-content: center;
    justify-content: center;
    flex-wrap: wrap;
    width: 100%;
}

.fk_main.send_order.send #submit-send_order-overlay {
    opacity: 1;
    pointer-events: all;
}

.fk_main.send_email.send #submit-send_email-overlay {
    opacity: 1;
    pointer-events: all;
}

.fk_main.send_order #send_order_form_wrap {
    opacity: 1;
    transform: translateX(0);
    -webkit-transform: translateX(0);
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
}

.fk_main.send .fk_main_left_side_top_container, .fk_main.send .fk_main_left_side_top_container, .fk_main.error .fk_main_left_side_top_container {
    display: none !important;
}

.fk_main.send .change_input_data_again_wrap, .fk_main.error .change_input_data_again_wrap {
    display: block !important;
}

#send_email_form_wrap {
    display: flex;
    align-content: center;
    justify-content: center;
}

.fk_main.send_email #send_email_form_wrap {
    opacity: 1;
    transform: translateX(0);
    -webkit-transform: translateX(0);
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
}

.fk_main.send_order.error #submit-send_order_error-overlay {
    opacity: 1;
    pointer-events: all;
}

.fk_main.send_email.error #submit-send_email_error-overlay {
    opacity: 1;
    pointer-events: all;
}

.submit_overlay_popis {
    font-size: var(--big_title_font_size);
    text-align: center;

    max-width: 480px;
}

.submit_overlay_title_wrap p {
    font-size: 41px;
    width: 100%;
}

.submit_overlay_title_wrap {
    text-align: center;
}

.submit_overlay_title_wrap .checkmark {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 85px;
    height: 85px;
    margin-top: 20px;
    border-radius: 50%;
    background-color: var(--fk_green);
}

.submit_overlay_title_wrap .checkmark svg {
    width: 42px;
    height: 30px;
    display: inline-block;
}

.fk_done_btns_wrap {
    position: absolute;
    bottom: 0;
    right: 0;
    padding: 64px 40px 40px 40px;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;
    width: 100%;
    max-width: calc(100% - var(--choose_data_max_width));
    opacity: 0;
    pointer-events: none;
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;

}

.fk_done_btns_wrap .btn {
    margin: 10px;
}

.fk_main:not(.done) .fk_done_btns_wrap {
    display: none !important;
}

.fk_main.done .fk_done_btns_wrap {
    opacity: 1;
    pointer-events: all;
}

.fk_main.done .fk_next_step_btn_wrap {
    display: none !important;
}


.fk_main.start .fk_next_step_btn_wrap {
    display: none !important;
}

.fk_light_switch_wrap {
    position: absolute;
    top: 0;
    right: 0;
    padding: 74px 50px 50px 50px;
    display: none;
}

.fk_light_switch_btn {
    display: flex;
    cursor: pointer;
    justify-content: flex-end;
    align-items: center;
    color: #fff;
    background-color: transparent;
    border: 0;
    outline: 0;
    font-size: 19px;
    text-shadow:
        -1px -1px 0 #000,
        1px -1px 0 #000,
        -1px 1px 0 #000,
        1px 1px 0 #000;
}

.fk_light_switch_wrap svg {
    display: none;
    margin-left: 10px;
    width: 45px;
    height: 57px;
}

.fk_light_switch_btn[data-mode="light"] svg.light {
    display: block;
}

.fk_light_switch_btn[data-mode="dark"] svg.dark {
    display: block;
}

.fk_main.done .fk_light_switch_wrap {
    display: block;
}

.fk_next_step_btn_wrap {
    padding: 30px 17px;
    text-align: center;
}

/* DEFAULT */
.btn_wrap {
    display: inline-block
}

.btn {
    display: inline-block;
    text-decoration: none;
    border: 1px solid transparent;
    border-radius: 50px;
    min-width: 240px;
    padding: 6px;
    font-size: var(--btn_font_size);
    font-weight: 400;
    line-height: 1.5;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
}

.btn_1 {
    background-color: var(--fk_color_1);
    color: #fff;
}

.btn_1:hover {
    background-color: #fff;
    border-color: var(--fk_color_1);
    color: var(--fk_color_1);
}

.btn_2 {
    background-color: var(--fk_green);
    color: #fff;
}

.btn_2:hover {
    background-color: #fff;
    border-color: var(--fk_green);
    color: var(--fk_green);
}

.btn_3 {
    background-color: #fff;
    color: #000;
}

.btn_3:hover {
    color: var(--fk_green);
}

.btn_4 {
    background-color: #fff;
    color: var(--fk_color_1);
    border-color: var(--fk_color_1);
}

.btn_4:hover {
    color: #fff;
    background-color: var(--fk_color_1);
}

.flex_50 {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.flex_50>.flex_container {
    width: 49%;
}

.flex_40_60 {
    display: flex;
    flex-wrap: wrap;
    align-items: flex-end;
    justify-content: space-between;
}

.flex_40_60>.flex_container:first-of-type {
    width: 39%;
}

.flex_40_60>.flex_container:last-of-type {
    width: 59%;
}

.cb_switch_container a {
    color: var(--fk_color_1);
    text-decoration: none;
}

.cb_switch_container a:hover {

    text-decoration: underline;
}


.select2-container {
    width: 100% !important;
}

.select2-selection {
    height: auto !important;
    position: relative;
    border-radius: 20px !important;
    border: 1px solid #0000004C !important;

}

.select2-selection__rendered {
    font-size: var(--input_font_size);
    padding: 9px 30px !important;
    line-height: 1.5em !important;
}

.select2-container--default .select2-results>.select2-results__options {
    max-height: 250px !important;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    top: 50%;
    transform: translateY(-50%);
    -webkit-transform: translateY(-50%);
    right: 10px;
}

.select2-container--default .select2-selection--single .select2-selection__arrow b {
    border-color: var(--fk_color_1) transparent transparent transparent;
    border-width: 10px 9px 0 10px;
    height: 0;
    left: 50%;
    margin-left: 0;
    margin-top: 0;
    top: 50%;
    transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
}

.select2-container--default.select2-container--open .select2-selection--single .select2-selection__arrow b {
    border-color: transparent transparent var(--fk_color_1) transparent;
    border-width: 0 9px 10px 9px;
}

.select2-container--default.select2-container--open .select2-selection {
    border-bottom-left-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}

.select2-container--default .select2-results__option--highlighted.select2-results__option--selectable {
    background-color: var(--fk_color_1);
}

.select2-container--default .select2-results__option--selected {
    background-color: var(--fk_green);
    color: #fff;
}

.input-file-label {
    margin-left: 10px;
    display: inline-block;
    word-break: break-all;
    font-size: var(--btn_font_size);
}

.input-file {
    width: 254px;
    padding-left: 0px;
    overflow: hidden;
    height: 42.5px;
}

.input-file:before {
    content: attr(data-title);
    display: inline-block;
    outline: none;
    white-space: nowrap;
    -webkit-user-select: none;
    user-select: none;
    -ms-user-select: none;
    -moz-user-select: none;
    -o-user-select: none;
    cursor: pointer;
    background-color: #7F2246;
    color: #fff;
    border: none;
    text-align: center;
    text-decoration: none;
    border: 1px solid transparent;
    border-radius: 50px;
    min-width: 240px;
    padding: 6px;
    font-size: var(--btn_font_size);
    font-weight: 400;
    line-height: 1.5;
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
}

.input-file:hover:before {

    border-color: var(--fk_color_1);
    background-color: #fff;
    color: var(--fk_color_1);

}

@media only screen and (max-width: 1280px) {
    :root {
        --choose_data_max_width: 500px;
    }

    /* .fk_start_page {
        padding: 60px 50px 10px 405px;
    } */

    .typ_pergoly_title {
        font-size: 37px;
    }

    .typ_pergoly_container .checkmark {
        width: 42px;
        min-width: 42px;
        height: 42px;
    }

    .typ_pergoly_container .checkmark svg {
        width: 21px;
        height: 12px;
    }

    .fk_choose_data_container_1 {
        width: 200px;
    }

    .fk_choose_data_container_2 {
        width: calc(100% - 200px);
        padding-left: 10px;
    }

    .main_typ_pergoly_change_wrap {
        justify-content: center;
    }
}

@media only screen and (max-width: 1024px) {
    :root {
        --fk_switch_font_size: 12px;
        --main_menu_item_font_size: 12px;
        --btn_font_size: 12px;
        --input_font_size: 12px;
        --big_title_font_size: 14px;
        --choose_data_max_width: 0;
    }

    .btn_3 {
        border-color: #000;
    }

    .input_wrap.file {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-wrap: wrap;

    }

    .input-file {
        width: 254px;
        padding-left: 0px;
        overflow: hidden;
        height: 42.5px;
    }

    .input-file-label {
        text-align: center;
        width: 100%;
    }

    .cb_switch {
        width: 50px;
        min-width: 50px;
        height: 20px;
    }

    .cb_switch:before {
        height: 10px;
        width: 10px;
    }

    .btn {
        min-width: 155px;
    }

    .main_typ_pergoly_change_wrap {
        font-size: 12px;
        justify-content: center;
    }

    .flex_50>.flex_container {
        width: 100%;
    }

    .flex_50>.flex_container:first-of-type {
        margin-bottom: 25px;
    }

    .fk_main_left_side_wrap {
        height: auto;
        width: 100%;
        position: unset;
    }

    .fk_start_page {
        height: auto;
        padding: 17px;
    }

    .fk_main_left_side_top_wrap {
        padding: 25px 12px;
        max-width: 100%;
    }

    .main_logo_wrap h1 {
        text-align: center;
    }

    .main_left_side_title, .main_left_side_title * {
        text-align: center;
    }

    .fk_main_left_side_container {
        height: auto;
        width: 100%;
        padding: 0;
    }

    .fk_main_left_side_container:after {
        content: none;
    }

    .fk_main_menu_wrap {
        height: auto;
        max-width: 100%;
        width: 100%;
        padding: 12px;
    }

    .fk_main_menu_wrap.desktop {
        display: none;
    }

    .fk_main_menu_wrap.show.mobile {
        display: block!important;
    }

    .fk_choose_data_wrap {
        position: unset !important;
        max-width: 100%;
    }

    .fk_choose_data_container {
        padding: 20px 17px;
    }

    .typ_pergoly_title {
        left: 15px;
        bottom: 15px;
        font-size: 25px;
    }

    .typ_pergoly_popis {
        font-size: 12px;
    }

    .fk_choose_data_container_popis {
        font-size: 12px;
    }

    .fk_start_params_popis {
        font-size: 12px;
    }

    .fk_choose_data_container_1 {
        width: 100%;
    }

    .fk_choose_data_container_2 {
        width: 100%;
        order: -1;
        margin-bottom: 20px;
        padding-left: 0;
    }

    .input_wrap.submit {
        text-align: center;
    }

    .submit_overlay_title_wrap p {
        font-size: 21px;
    }

    .submit_overlay {
        height: 100%;
    }

    .submit_overlay_title_wrap .checkmark {
        width: 55px;
        height: 55px;
    }

    .submit_overlay_title_wrap .checkmark svg {
        width: 32px;
        height: 20px;
        display: inline-block;
    }

    .send_form_wrap {
        position: relative !important;
        left: 0;
        top: 0;
        overflow-y: visible !important;
        transform: translateX(0) !important;
        -webkit-transform: translateX(0) !important;
    }

    .back_btn {
        display: none;
    }

    .flex_40_60>.flex_container:first-of-type {
        margin-bottom: 25px;
    }

    .flex_40_60>.flex_container {
        width: 100% !important;
    }

    .fk_start_page_title {
        margin-bottom: 10px;
    }

    .rozmery_input_wrap {
        justify-content: center;
        margin: 0;
    }

    .rozmery_input_wrap input {
        font-size: 15px;
        margin: 10px;
    }

    .fk_start_params_title, .go_to_konfigurator_wrap, .fk_start_params_popis, .fk_start_params_popis {

        text-align: center;
    }

    .cb_barva_container_pallete {
        width: 37px;
        height: 37px;
    }

    .cb_barva_container .checkmark {
        width: 19px;
        min-width: 19px;
        height: 19px;
        top: -8px;
        right: -8px;
    }

    .chosen_barva_tooltip {
        padding: 3px 20px;
        font-size: 14px;
        top: 60px;
    }

    .chosen_barva_tooltip:before {
        left: 13px;
    }

    .choose_data_title:after {
        max-width: 250px;
    }

    .typ_kontrukce_container {
        font-size: 15px;
        margin-right: 10px;
    }

    .typ_kontrukce_container .checkmark {
        width: 29px;
        min-width: 29px;
        height: 29px;
    }

    .typ_kontrukce_container .checkmark svg {
        width: 15px;
        height: 10px;
    }

    .typ_pergoly_img_wrap {
        margin-bottom: 11px;
    }

    .questionmark {
        width: 26px;
        height: 26px;
        font-size: 18px;
    }

    .typ_pergoly_container .checkmark {
        top: 15px;
        left: 15px;
    }

    .typ_kontrukce_input_wrap {
        justify-content: center;
    }

    .fk_done_btns_wrap {
        justify-content: center;
    }

    .send_form_wrap {
        display: none !important;
    }

    .fk_main.send_order #send_order_form_wrap {
        display: block !important;
    }

    .fk_main.send_email #send_email_form_wrap {
        display: flex !important;
    }

    .fk_done_btns_wrap {
        padding: 15px 7px 15px 7px;
        justify-content: center;
        position: unset !important;
    }

    .fk_light_switch_wrap {
        padding: 20px 17px;
    }

    .fk_light_switch_wrap svg {
        width: 30px;
        height: 39px;
    }

    .fk_light_switch_btn {
        font-size: 14px;
    }
}

@media only screen and (max-width: 768px) {

    .send_form_wrap, .submit_overlay {
        padding: 25px 17px 25px 17px;
    }
}

@media only screen and (max-width: 550px) {
    .main_typ_pergoly_change_wrap .btn_wrap {
        width: 100%;
        text-align: center;
    }
}